package com.iamberry.wechat.core.entity.activity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
/**
 *  活动助力参与类
 * @author w
 * @Date 2018-06-07
 */
public class Activity  implements  Serializable{
    private static final long serialVersionUID = 7584342581860340000L;
    //参与id
    private Integer activityId;
    //用户openid
    private String userOpenId;
    //需要多少人助力
    private Integer activityAllHelp;
    //已有多少人助力
    private Integer activityAlreadyHelp;
    //二维码地址
    private String activityCodeImg;
    //分享海报合成地址
    private String activityImg;
    //状态：1：助力中 2：助力成功 3：已领取优惠券 4：取消
    private Integer activityStatus;
    //优惠券id
    private String activityCoupon;
    //创建时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date activityCreateTime;
    //修改时间
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date activityUpdateTime;

    public Integer getActivityId(){
        return activityId;
    }

    public void setActivityId(Integer  activityId){
        this.activityId=activityId;
    }

    public String getUserOpenId(){
        return userOpenId;
    }

    public void setUserOpenId(String  userOpenId){
        this.userOpenId=userOpenId;
    }

    public Integer getActivityAllHelp(){
        return activityAllHelp;
    }

    public void setActivityAllHelp(Integer  activityAllHelp){
        this.activityAllHelp=activityAllHelp;
    }

    public Integer getActivityAlreadyHelp(){
        return activityAlreadyHelp;
    }

    public void setActivityAlreadyHelp(Integer  activityAlreadyHelp){
        this.activityAlreadyHelp=activityAlreadyHelp;
    }

    public String getActivityCodeImg(){
        return activityCodeImg;
    }

    public void setActivityCodeImg(String  activityCodeImg){
        this.activityCodeImg=activityCodeImg;
    }

    public String getActivityImg(){
        return activityImg;
    }

    public void setActivityImg(String  activityImg){
        this.activityImg=activityImg;
    }

    public Integer getActivityStatus(){
        return activityStatus;
    }

    public void setActivityStatus(Integer  activityStatus){
        this.activityStatus=activityStatus;
    }

    public Date getActivityCreateTime(){
        return activityCreateTime;
    }

    public void setActivityCreateTime(Date  activityCreateTime){
        this.activityCreateTime=activityCreateTime;
    }

    public Date getActivityUpdateTime(){
        return activityUpdateTime;
    }

    public void setActivityUpdateTime(Date  activityUpdateTime){
        this.activityUpdateTime=activityUpdateTime;
    }

    public String getActivityCoupon() {
        return activityCoupon;
    }

    public void setActivityCoupon(String activityCoupon) {
        this.activityCoupon = activityCoupon;
    }
}